<?php

namespace Drupal\find_external_links\Controller;

use Drupal;
use Drupal\Core\Controller\ControllerBase;

/**
 * Controller routines for find_external_links.
 *
 * @ingroup find_external_links
 */
class FindExternalLinksController extends ControllerBase {

  /**
   * Implements display External Links list.
   */
  public function displayExternalLinks() {
    $db = Drupal::database();
    $header = [
      'content_type' => t('Content Type'),
      'url' => t('Url'),
      'nid' => t('Nid'),
    ];
    $query = $db->select('find_external_links', 'fel');
    $query->fields('fel', []);
    $table_sort = $query->extend('Drupal\Core\Database\Query\TableSortExtender')
      ->orderByHeader($header);
    $pager = $table_sort->extend('Drupal\Core\Database\Query\PagerSelectExtender')
      ->limit(25);

    $results = $pager->execute()->fetchAll();

    foreach ($results as $value) {
      $rows[] = [
        'content_type' => $value->content_type,
        'url' => $value->url,
        'nid' => $value->nid,
      ];
    }

    // Display data in site.
    $form['table'] = [
      '#type' => 'table',
      '#header' => $header,
      '#rows' => $rows,
      '#empty' => t('No data found'),
    ];

    // Finally add the pager.
    $form['pager'] = [
      '#type' => 'pager',
    ];
    return $form;
  }

}
